> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spn.wtf/llms.txt
> Use this file to discover all available pages before exploring further.

# Bullions API

> Manage bullion dealer accounts and ledgers

Bullion accounts represent bullion dealer relationships.

***

## `GET /bullions`

Get all bullion accounts.

## `POST /bullion`

Create a bullion account.

**Request Body**

```json theme={null}
{ "name": "Mehta Bullion" }
```

## `PUT /bullion/{bullion_id}`

Update a bullion account.

## `DELETE /bullion-account/{bullion_id}`

Delete a bullion account.

***

## `GET /bullion-ledger/{bullion_id}`

Get the bullion ledger.

## `POST /bullion-ledger/{bullion_id}`

Add a bullion ledger row.

## `PUT /bullion-ledger/{bullion_id}`

Update a bullion ledger row.

## `GET /bullion-ledger/{bullion_id}/pdf/{side}`

Download bullion ledger as PDF.

| Parameter    | Type    | Values      |
| ------------ | ------- | ----------- |
| `bullion_id` | integer | —           |
| `side`       | string  | `in`, `out` |
